import { EventEmitter } from '../../stencil-public-runtime';
import { ButtonEvent } from '../gov-button/button/gov-button.types';
import { ColorType, InfobarTypesType } from './constants';
import { InfobarEvent } from './gov-infobar.types';
import { Attributes } from "../../helpers/Dom/attribute";
export declare class GovInfobar {
    private h;
    private attributeObserver;
    private hydrated;
    constructor();
    host: HTMLGovInfobarElement;
    /**
     * Style variation of the button.
     */
    readonly color: ColorType;
    /**
     * Infobar appearance
     */
    readonly type?: InfobarTypesType;
    /**
     * Style variation of the button.
     */
    readonly role: HTMLElement['role'];
    /**
     * Aria label for the closing button. It is mandatory if the infobar is closable
     */
    readonly accessibleCloseLabel: string;
    /**
     * Aria label for the toggle button. It is mandatory if the infobar has headline
     */
    readonly accessibleToggleLabel: string;
    /**
     * Called when the close button is clicked
     */
    govClose: EventEmitter<InfobarEvent>;
    /**
     * Displays the option to close the infobar
     */
    readonly closable?: boolean;
    toggleContent: boolean;
    inheritedAttributes: Attributes;
    validateColor(newValue: string): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    onAriaAttributeChange(attributeName: string, newValue: string): void;
    connectedCallback(): void;
    render(): any;
    onCloseHandler(e: CustomEvent<ButtonEvent>): void;
    get isBold(): boolean;
}
